#!/bin/sh

SCRIPT_HOME=$PWD
SERVERAPP_HOME=$PWD

echo;
echo "----------------- Compilation ------------------";
echo;


if [ -d $SERVERAPP_HOME/classes ]
then
    rm -rf $SERVERAPP_HOME/classes;
fi

mkdir $SERVERAPP_HOME/classes;

$JAVA_HOME/bin/javac -d $SERVERAPP_HOME/classes $(find ./$ECG5KDEPLOYMENT_HOME/src/ -type f -name "*.java");

echo "Compiled!";


echo;
echo "------------------------------------------------";
